server:
  port: @profiles.server.port@
  servlet:
    context-path: /m
spring:
  application:
    name: base-manager
    profiles:
      active: @profiles.active@
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1000MB
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  security:
    enable: true
    user:
      name: admin
      password: 1
  redis:
    host: @profiles.redis.uri@
    port: @profiles.redis.port@
    username: @profiles.redis.username@
    password: @profiles.redis.password@
    database:  @profiles.redis.database@
    timeout: 30000
    pool:
      max-idle: 30
      min-idle: 0
      max-active: 100
      max-wait: 1000
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: @profiles.datasource.uri@
    username: @profiles.datasource.username@
    password: @profiles.datasource.password@

mybatis:
  root-path: com.mortals
  type-aliases-package: com.mortals.framework.model,com.mortals.xhx.common.**.model,com.mortals.xhx.**.model
  mapper-locations: classpath*:sqlmap/**/*.xml
  config-location: classpath*:config/mybatis-sqlmap-config.xml
  
application:
  auth:
    unloginUrl: /refresh,/error,/login/login,/login/index,/login/logout,/securitycode/createCode,/file/common/*,/test*,/api/asset/*,/model/*
    uncheckUrl: /refresh,/error,/login/login,/login/index,/login/logout,/securitycode/createCode,/file/common/*,/test*,/api/asset/*,/model/*
cookie:
  ssoServerUrl: http://sso.testnew.com
  key: 026db82420614469897fcc2dc1b4ce38
  domain: base.testnew.com
  port: 111
upload:
  path: @profiles.filepath@
